Skip to content
Start here

Retrieves a file from Binary Storage

cloudforce_one.binary_storage.get(strhash, BinaryStorageGetParams**kwargs)
GET/accounts/{account_id}/cloudforce-one/binary/{hash}

Retrieves a file from Binary Storage

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
account_id: str

Account ID.

hash: str

hash of the binary

Retrieves a file from Binary Storage

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.cloudforce_one.binary_storage.get(
    hash="hash",
    account_id="account_id",
)
Returns Examples